--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: 
- !ruby/object:RI::Constant 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Test server location
  name: TEST_URL
  value: "'https://c3-test.wirecard.com/secure/ssl-gateway'"
- !ruby/object:RI::Constant 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Live server location
  name: LIVE_URL
  value: "'https://c3.wirecard.com/secure/ssl-gateway'"
- !ruby/object:RI::Constant 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: The Namespaces are not really needed, because it just tells the System, that there's actually no namespace used. It's just specified here for completeness.
  name: ENVELOPE_NAMESPACES
  value: "{         'xmlns:xsi' => 'http://www.w3.org/1999/XMLSchema-instance',                                 'xsi:noNamespaceSchemaLocation' => 'wirecard.xsd'"
- !ruby/object:RI::Constant 
  comment: 
  name: PERMITTED_TRANSACTIONS
  value: "%w[ AUTHORIZATION CAPTURE_AUTHORIZATION PURCHASE ]"
- !ruby/object:RI::Constant 
  comment: 
  name: RETURN_CODES
  value: "%w[ ACK NOK ]"
full_name: ActiveMerchant::Billing::WirecardGateway
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: authorize
- !ruby/object:RI::MethodSummary 
  name: capture
- !ruby/object:RI::MethodSummary 
  name: purchase
- !ruby/object:RI::MethodSummary 
  name: test?
name: WirecardGateway
superclass: Gateway
